## higan 094

=== Makefile ===
include nall/Makefile

fc  := fc
sfc := sfc
gb  := gb
gba := gba

profile := accuracy
target  := ethos

# options += debugger
# arch := x86
# console := true

# compiler
flags   += -I. -O3 -fomit-frame-pointer
link    +=
objects := libco

# profile-guided optimization mode
# pgo := instrument
# pgo := optimize

ifeq ($(pgo),instrument)
  flags += -fprofile-generate
  link += -lgcov
else ifeq ($(pgo),optimize)
  flags += -fprofile-use
endif

# platform
ifeq ($(platform),windows)
  ifeq ($(arch),x86)
    flags += -m32
    link += -m32
  endif
  ifeq ($(console),true)
    link += -mconsole
  else
    link += -mwindows
  endif
  link += -s -mthreads -luuid -lkernel32 -luser32 -lgdi32 -lcomctl32 -lcomdlg32 -lshell32 -lole32 -lws2_32
  link += -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc
else ifeq ($(platform),macosx)
  flags += -march=native
else ifeq ($(platform),linux)
  flags += -march=native
  link += -s -Wl,-export-dynamic -lX11 -lXext -ldl
else ifeq ($(platform),bsd)
  flags += -march=native
  link += -s -Wl,-export-dynamic -lX11 -lXext
else
  $(error unsupported platform.)
endif

ui := target-$(target)

# implicit rules
compile = \
  $(strip \
    $(if $(filter %.c,$<), \
      $(compiler) $(cflags) $(flags) $1 -c $< -o $@, \
      $(if $(filter %.cpp,$<), \
        $(compiler) $(cppflags) $(flags) $1 -c $< -o $@ \
      ) \
    ) \
  )

%.o: $<; $(call compile)

all: build;

obj/libco.o: libco/libco.c libco/*

include $(ui)/Makefile
flags := $(flags) $(foreach o,$(call strupper,$(options)),-D$o)

# targets
clean:
	-@$(call delete,obj/*.o)
	-@$(call delete,obj/*.a)
	-@$(call delete,obj/*.so)
	-@$(call delete,obj/*.dylib)
	-@$(call delete,obj/*.dll)
	-@$(call delete,*.res)
	-@$(call delete,*.manifest)

archive:
	if [ -f higan.tar.xz ]; then rm higan.tar.xz; fi
	tar -cJf higan.tar.xz `ls`

sync:
ifeq ($(shell id -un),byuu)
	if [ -d ./libco ]; then rm -r ./libco; fi
	if [ -d ./nall ]; then rm -r ./nall; fi
	if [ -d ./ruby ]; then rm -r ./ruby; fi
	if [ -d ./phoenix ]; then rm -r ./phoenix; fi
	cp -r ../libco ./libco
	cp -r ../nall ./nall
	cp -r ../ruby ./ruby
	cp -r ../phoenix ./phoenix
	rm -r libco/doc
	rm -r libco/.test
	rm -r nall/.test
	rm -r ruby/.test
	rm -r phoenix/.test
endif

help:;

=== ananke/Makefile ===
include ../nall/Makefile
include ../phoenix/Makefile

path := /usr/local/lib
flags := $(flags) -O3 -fomit-frame-pointer -I..

all:
	$(compiler) $(cppflags) $(flags) -fPIC -o obj/ananke.o -c ananke.cpp
ifeq ($(platform),windows)
	$(compiler) $(phoenixflags) -fPIC -o obj/phoenix.o -c ../phoenix/phoenix.cpp
	$(compiler) $(link) -shared -o phoenix.dll obj/phoenix.o $(phoenixlink)
	$(compiler) $(link) -shared -o ananke.dll obj/ananke.o -L. -lphoenix
else ifeq ($(platform),macosx)
	$(compiler) $(link) -shared -dynamiclib -undefined suppress -flat_namespace -o libananke.dylib obj/ananke.o
else
	$(compiler) $(link) -shared -Wl,-soname,libananke.so.1 -o libananke.so obj/ananke.o
endif

resource: force
	sourcery resource/resource.bml resource/resource.cpp resource/resource.hpp

clean:
	-@$(call delete,obj/*.o)
	-@$(call delete,*.dll)
	-@$(call delete,*.so)

install: uninstall
ifeq ($(platform),windows)
else ifeq ($(platform),macosx)
	if [ ! -d ~/Library/Application\ Support/ananke ]; then mkdir ~/Library/Application\ Support/ananke; fi
	sudo cp libananke.dylib $(path)/libananke.1.dylib
	sudo ln -s $(path)/libananke.1.dylib $(path)/libananke.dylib
else
	if [ ! -d ~/.config/ananke ]; then mkdir ~/.config/ananke; fi
	sudo cp libananke.so $(path)/libananke.so.1
	sudo ln -s $(path)/libananke.so.1 $(path)/libananke.so
endif

uninstall:
ifeq ($(platform),windows)
else ifeq ($(platform),macosx)
	if [ -f $(path)/libananke.dylib ]; then sudo rm $(path)/libananke.dylib; fi
	if [ -f $(path)/libananke.1.dylib ]; then sudo rm $(path)/libananke.1.dylib; fi
else
	if [ -f $(path)/libananke.so ]; then sudo rm $(path)/libananke.so; fi
	if [ -f $(path)/libananke.so.1 ]; then sudo rm $(path)/libananke.so.1; fi
endif

force:

=== nall/Makefile ===
# Makefile
# author: byuu
# license: public domain

[A-Z] = A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
[a-z] = a b c d e f g h i j k l m n o p q r s t u v w x y z
[0-9] = 0 1 2 3 4 5 6 7 8 9
[markup] = ` ~ ! @ \# $$ % ^ & * ( ) - _ = + [ { ] } \ | ; : ' " , < . > / ?
[all] = $([A-Z]) $([a-z]) $([0-9]) $([markup])
[space] :=
[space] +=

# platform detection
ifeq ($(platform),)
  uname := $(shell uname -s)
  ifeq ($(uname),)
    platform := windows
    delete = del $(subst /,\,$1)
  else ifneq ($(findstring Windows,$(uname)),)
    platform := windows
    delete = del $(subst /,\,$1)
  else ifneq ($(findstring CYGWIN,$(uname)),)
    platform := windows
    delete = del $(subst /,\,$1)
  else ifneq ($(findstring Darwin,$(uname)),)
    platform := macosx
    delete = rm -f $1
  else ifneq ($(findstring BSD,$(uname)),)
    platform := bsd
    delete = rm -f $1
  else
    platform := linux
    delete = rm -f $1
  endif
endif

# compiler detection
ifeq ($(compiler),)
  ifeq ($(platform),windows)
    compiler := g++
    flags :=
    link :=
  else ifeq ($(platform),macosx)
    compiler := clang++
    flags := -w -stdlib=libc++
    link := -lc++ -lobjc
  else ifeq ($(platform),bsd)
    compiler := clang++
    flags := -w -I/usr/local/include
  else
    compiler := g++
    flags :=
    link :=
  endif

  cflags := -x c -std=c99
  objcflags := -x objective-c -std=c99
  cppflags := -x c++ -std=c++11
  objcppflags := -x objective-c++ -std=c++11
endif

# cross-compilation support
ifeq ($(arch),x86)
  flags := -m32 $(flags)
  link := -m32 $(link)
endif

ifeq ($(prefix),)
  prefix := /usr/local
endif

# function rwildcard(directory, pattern)
rwildcard = \
  $(strip \
    $(filter $(if $2,$2,%), \
      $(foreach f, \
        $(wildcard $1*), \
        $(eval t = $(call rwildcard,$f/)) \
        $(if $t,$t,$f) \
      ) \
    ) \
  )

# function strtr(source, from, to)
strtr = \
  $(eval __temp := $1) \
  $(strip \
    $(foreach c, \
      $(join $(addsuffix :,$2),$3), \
      $(eval __temp := \
        $(subst $(word 1,$(subst :, ,$c)),$(word 2,$(subst :, ,$c)),$(__temp)) \
      ) \
    ) \
    $(__temp) \
  )

# function strupper(source)
strupper = $(call strtr,$1,$([a-z]),$([A-Z]))

# function strlower(source)
strlower = $(call strtr,$1,$([A-Z]),$([a-z]))

# function strlen(source)
strlen = \
  $(eval __temp := $(subst $([space]),_,$1)) \
  $(words \
    $(strip \
      $(foreach c, \
        $([all]), \
        $(eval __temp := \
          $(subst $c,$c ,$(__temp)) \
        ) \
      ) \
      $(__temp) \
    ) \
  )

# function streq(source)
streq = $(if $(filter-out xx,x$(subst $1,,$2)$(subst $2,,$1)x),,1)

# function strne(source)
strne = $(if $(filter-out xx,x$(subst $1,,$2)$(subst $2,,$1)x),1,)

=== processor/Makefile ===
processor_objects :=
processor_objects += $(if $(findstring arm,$(processors)),processor-arm)
processor_objects += $(if $(findstring gsu,$(processors)),processor-gsu)
processor_objects += $(if $(findstring hg51b,$(processors)),processor-hg51b)
processor_objects += $(if $(findstring lr35902,$(processors)),processor-lr35902)
processor_objects += $(if $(findstring r6502,$(processors)),processor-r6502)
processor_objects += $(if $(findstring r65816,$(processors)),processor-r65816)
processor_objects += $(if $(findstring spc700,$(processors)),processor-spc700)
processor_objects += $(if $(findstring upd96050,$(processors)),processor-upd96050)
objects += $(processor_objects)

processor := processor
obj/processor-arm.o:      $(processor)/arm/arm.cpp $(call rwildcard,$(processor)/arm)
obj/processor-gsu.o:      $(processor)/gsu/gsu.cpp $(call rwildcard,$(processor)/gsu)
obj/processor-hg51b.o:    $(processor)/hg51b/hg51b.cpp $(call rwildcard,$(processor)/hg51b)
obj/processor-lr35902.o:  $(processor)/lr35902/lr35902.cpp $(call rwildcard,$(processor)/lr35902)
obj/processor-r6502.o:    $(processor)/r6502/r6502.cpp $(call rwildcard,$(processor)/r6502)
obj/processor-r65816.o:   $(processor)/r65816/r65816.cpp $(call rwildcard,$(processor)/r65816)
obj/processor-spc700.o:   $(processor)/spc700/spc700.cpp $(call rwildcard,$(processor)/spc700)
obj/processor-upd96050.o: $(processor)/upd96050/upd96050.cpp $(call rwildcard,$(processor)/upd96050)

=== ruby/Makefile ===
ifeq ($(platform),macosx)
  rubyflags = $(objcppflags) $(flags)
else
  rubyflags = $(cppflags) $(flags)
endif

rubyflags += $(foreach c,$(subst .,_,$(call strupper,$(ruby))),-D$c)
rubyflags += $(if $(findstring .sdl,$(ruby)),`sdl-config --cflags`)

rubylink =

rubylink += $(if $(findstring video.cgl,$(ruby)),-framework OpenGL)
rubylink += $(if $(findstring video.direct3d,$(ruby)),-ld3d9)
rubylink += $(if $(findstring video.directdraw,$(ruby)),-lddraw)
rubylink += $(if $(findstring video.glx,$(ruby)),-lGL)
rubylink += $(if $(findstring video.wgl,$(ruby)),-lopengl32)
rubylink += $(if $(findstring video.xv,$(ruby)),-lXv)

rubylink += $(if $(findstring audio.alsa,$(ruby)),-lasound)
rubylink += $(if $(findstring audio.ao,$(ruby)),-lao)
rubylink += $(if $(findstring audio.directsound,$(ruby)),-ldsound)
rubylink += $(if $(findstring audio.pulseaudio,$(ruby)),-lpulse)
rubylink += $(if $(findstring audio.pulseaudiosimple,$(ruby)),-lpulse-simple)
rubylink += $(if $(findstring audio.xaudio2,$(ruby)),-lole32)

rubylink += $(if $(findstring input.udev,$(ruby)),-ludev)
rubylink += $(if $(findstring input.windows,$(ruby)),-ldinput8 -ldxguid)

rubylink += $(if $(findstring .sdl,$(ruby)),`sdl-config --libs`)

ifeq ($(platform),windows)
  rubylink += $(if $(findstring audio.openal,$(ruby)),-lopenal32)
else ifeq ($(platform),macosx)
  rubylink += $(if $(findstring audio.openal,$(ruby)),-framework OpenAL)
else
  rubylink += $(if $(findstring audio.openal,$(ruby)),-lopenal)
endif

=== sfc/Makefile ===
sfc_objects := sfc-interface sfc-system sfc-controller
sfc_objects += sfc-cartridge sfc-cheat
sfc_objects += sfc-memory sfc-cpu sfc-smp sfc-dsp sfc-ppu
sfc_objects += sfc-satellaviewbase
sfc_objects += sfc-icd2 sfc-bsx sfc-nss sfc-event
sfc_objects += sfc-sa1 sfc-superfx
sfc_objects += sfc-armdsp sfc-hitachidsp sfc-necdsp
sfc_objects += sfc-epsonrtc sfc-sharprtc
sfc_objects += sfc-spc7110 sfc-sdd1 sfc-obc1
sfc_objects += sfc-hsu1 sfc-msu1
sfc_objects += sfc-satellaviewcart sfc-sufamiturbo
objects += $(sfc_objects)

ifeq ($(profile),accuracy)
  flags += -DPROFILE_ACCURACY
  sfccpu := $(sfc)/cpu
  sfcsmp := $(sfc)/smp
  sfcdsp := $(sfc)/dsp
  sfcppu := $(sfc)/ppu
else ifeq ($(profile),balanced)
  flags += -DPROFILE_BALANCED
  sfccpu := $(sfc)/cpu
  sfcsmp := $(sfc)/smp
  sfcdsp := $(sfc)/alt/dsp
  sfcppu := $(sfc)/alt/ppu-balanced
else ifeq ($(profile),performance)
  flags += -DPROFILE_PERFORMANCE
  sfccpu := $(sfc)/alt/cpu
  sfcsmp := $(sfc)/alt/smp
  sfcdsp := $(sfc)/alt/dsp
  sfcppu := $(sfc)/alt/ppu-performance
else
  $(error unknown profile.)
endif

obj/sfc-interface.o:       $(sfc)/interface/interface.cpp $(call rwildcard,$(sfc)/interface)
obj/sfc-system.o:          $(sfc)/system/system.cpp $(call rwildcard,$(sfc)/system/)
obj/sfc-controller.o:      $(sfc)/controller/controller.cpp $(call rwildcard,$(sfc)/controller/)
obj/sfc-cartridge.o:       $(sfc)/cartridge/cartridge.cpp $(sfc)/cartridge/*
obj/sfc-cheat.o:           $(sfc)/cheat/cheat.cpp $(sfc)/cheat/*
obj/sfc-memory.o:          $(sfc)/memory/memory.cpp $(call rwildcard,$(sfc)/memory/)
obj/sfc-cpu.o:             $(sfccpu)/cpu.cpp $(call rwildcard,$(sfccpu)/)
obj/sfc-smp.o:             $(sfcsmp)/smp.cpp $(call rwildcard,$(sfcsmp)/)
obj/sfc-dsp.o:             $(sfcdsp)/dsp.cpp $(call rwildcard,$(sfcdsp)/)
obj/sfc-ppu.o:             $(sfcppu)/ppu.cpp $(call rwildcard,$(sfcppu)/)

obj/sfc-satellaviewbase.o: $(sfc)/base/satellaview/satellaview.cpp $(call rwildcard,$(sfc)/base/satellaview/)

obj/sfc-icd2.o:            $(sfc)/chip/icd2/icd2.cpp $(call rwildcard,$(sfc)/chip/icd2/)
obj/sfc-bsx.o:             $(sfc)/chip/bsx/bsx.cpp $(call rwildcard,$(sfc)/chip/bsx/)
obj/sfc-nss.o:             $(sfc)/chip/nss/nss.cpp $(call rwildcard,$(sfc)/chip/nss/)
obj/sfc-event.o:           $(sfc)/chip/event/event.cpp $(call rwildcard,$(sfc)/chip/event/)

obj/sfc-sa1.o:             $(sfc)/chip/sa1/sa1.cpp $(call rwildcard,$(sfc)/chip/sa1/)
obj/sfc-superfx.o:         $(sfc)/chip/superfx/superfx.cpp $(call rwildcard,$(sfc)/chip/superfx/)

obj/sfc-armdsp.o:          $(sfc)/chip/armdsp/armdsp.cpp $(call rwildcard,$(sfc)/chip/armdsp/)
obj/sfc-hitachidsp.o:      $(sfc)/chip/hitachidsp/hitachidsp.cpp $(call rwildcard,$(sfc)/chip/hitachidsp/)
obj/sfc-necdsp.o:          $(sfc)/chip/necdsp/necdsp.cpp $(call rwildcard,$(sfc)/chip/necdsp/)

obj/sfc-epsonrtc.o:        $(sfc)/chip/epsonrtc/epsonrtc.cpp $(call rwildcard,$(sfc)/chip/epsonrtc/)
obj/sfc-sharprtc.o:        $(sfc)/chip/sharprtc/sharprtc.cpp $(call rwildcard,$(sfc)/chip/sharprtc/)

obj/sfc-spc7110.o:         $(sfc)/chip/spc7110/spc7110.cpp $(sfc)/chip/spc7110/*
obj/sfc-sdd1.o:            $(sfc)/chip/sdd1/sdd1.cpp $(sfc)/chip/sdd1/*
obj/sfc-obc1.o:            $(sfc)/chip/obc1/obc1.cpp $(sfc)/chip/obc1/*

obj/sfc-hsu1.o:            $(sfc)/chip/hsu1/hsu1.cpp $(sfc)/chip/hsu1/*
obj/sfc-msu1.o:            $(sfc)/chip/msu1/msu1.cpp $(sfc)/chip/msu1/*

obj/sfc-satellaviewcart.o: $(sfc)/slot/satellaview/satellaview.cpp $(call rwildcard,$(sfc)/slot/satellaview/)
obj/sfc-sufamiturbo.o:     $(sfc)/slot/sufamiturbo/sufamiturbo.cpp $(call rwildcard,$(sfc)/slot/sufamiturbo/)

=== target-ethos/Makefile ===
name := higan

processors := arm gsu hg51b lr35902 r6502 r65816 spc700 upd96050
include processor/Makefile

include fc/Makefile
include sfc/Makefile
include gb/Makefile
include gba/Makefile

ui_objects := ui-ethos ui-configuration ui-interface ui-utility
ui_objects += ui-input ui-window ui-general ui-settings ui-tools
ui_objects += phoenix ruby
ui_objects += $(if $(call streq,$(platform),windows),resource)

# platform
ifeq ($(platform),windows)
  ruby := video.direct3d video.wgl video.directdraw video.gdi
  ruby += audio.directsound audio.xaudio2
  ruby += input.windows
else ifeq ($(platform),macosx)
  ruby := video.cgl
  ruby += audio.openal
  ruby += input.carbon
else ifeq ($(platform),linux)
  ruby := video.glx video.xv video.xshm video.sdl
  ruby += audio.alsa audio.openal audio.oss audio.pulseaudio audio.pulseaudiosimple audio.ao
  ruby += input.udev input.sdl input.x
else ifeq ($(platform),bsd)
  ruby := video.glx
  ruby += audio.openal audio.oss
  ruby += input.x
endif

# phoenix
include phoenix/Makefile
link += $(phoenixlink)

# ruby
include ruby/Makefile
link += $(rubylink)

# rules
objects := $(ui_objects) $(objects)
objects := $(patsubst %,obj/%.o,$(objects))

obj/ui-ethos.o: $(ui)/ethos.cpp $(call rwildcard,$(ui)/)
obj/ui-configuration.o: $(ui)/configuration/configuration.cpp $(call rwildcard,$(ui)/)
obj/ui-interface.o: $(ui)/interface/interface.cpp $(call rwildcard,$(ui)/)
obj/ui-utility.o: $(ui)/utility/utility.cpp $(call rwildcard,$(ui)/)
obj/ui-input.o: $(ui)/input/input.cpp $(call rwildcard,$(ui)/)
obj/ui-window.o: $(ui)/window/window.cpp $(call rwildcard,$(ui)/)
obj/ui-general.o: $(ui)/general/general.cpp $(call rwildcard,$(ui)/)
obj/ui-settings.o: $(ui)/settings/settings.cpp $(call rwildcard,$(ui)/)
obj/ui-tools.o: $(ui)/tools/tools.cpp $(call rwildcard,$(ui)/)

obj/ruby.o: ruby/ruby.cpp $(call rwildcard,ruby/*)
	$(compiler) $(rubyflags) -c $< -o $@

obj/phoenix.o: phoenix/phoenix.cpp $(call rwildcard,phoenix/*)
	$(compiler) $(phoenixflags) -c $< -o $@

obj/resource.o: $(ui)/resource.rc
ifeq ($(arch),win32)
	windres --target=pe-i386 $(ui)/resource.rc obj/resource.o
else
	windres $(ui)/resource.rc obj/resource.o
endif

# targets
build: $(objects)
ifeq ($(platform),windows)
	$(strip $(compiler) -shared -o out/phoenix.dll obj/phoenix.o $(phoenixlink))
	$(strip $(compiler) -o out/$(name) $(subst obj/phoenix.o,,$(objects)) $(link) -Lout -lphoenix)
else ifeq ($(platform),macosx)
	if [ -d out/$(name).app ]; then rm -r out/$(name).app; fi
	mkdir out/$(name).app
	mkdir out/$(name).app/Contents
	mkdir out/$(name).app/Contents/MacOS
	mkdir out/$(name).app/Contents/Resources
	cp data/Info.plist out/$(name).app/Contents/Info.plist
	sips -s format icns data/higan.png --out out/$(name).app/Contents/Resources/higan.icns
	$(strip $(compiler) -o out/$(name).app/Contents/MacOS/$(name) $(objects) $(link))
else
	$(strip $(compiler) -o out/$(name) $(objects) $(link))
endif

resource:
	sourcery $(ui)/resource/resource.bml $(ui)/resource/resource.cpp $(ui)/resource/resource.hpp

install:
ifeq ($(platform),windows)
else ifeq ($(platform),macosx)
	sudo mkdir -p /Library/Application\ Support/$(name)
	sudo cp -R profile/* /Library/Application\ Support/$(name)
	sudo cp data/cheats.bml /Library/Application\ Support/$(name)/cheats.bml
	sudo chmod -R 777 /Library/Application\ Support/$(name)
else
	sudo install -D -m 755 out/$(name) $(DESTDIR)$(prefix)/bin/$(name)
	sudo install -D -m 644 data/$(name).png $(DESTDIR)$(prefix)/share/pixmaps/$(name).png
	sudo install -D -m 644 data/$(name).desktop $(DESTDIR)$(prefix)/share/applications/$(name).desktop

	sudo mkdir -p /usr/share/$(name)
	sudo cp -R profile/* /usr/share/$(name)
	sudo cp data/cheats.bml /usr/share/$(name)/cheats.bml
	sudo chmod -R 777 /usr/share/$(name)
endif

uninstall:
ifeq ($(platform),windows)
else ifeq ($(platform),macosx)
else
	sudo rm $(DESTDIR)$(prefix)/bin/$(name)
endif

## higan 093

=== debian/changelog ===
higan (093-1) unstable; urgency=low

  * New upstream release (Closes: #697130, #698848, #709979)
  * Program was renamed to higan.
    - Rename package.
    - New packaging git repository.
  * bsnes becomes transitional package.
  * laevateinn (debugger) was removed.
  * Include user guide in html format.
  * Shared files are no longer copied to ~/.config/higan at startup.
  * Include library libananke for importing games, installed
    to /usr/lib/games/higan, replaces bsnes-purify.
  * Lots of packaging adjustments to accommodate to many upstream changes.

 -- Tobias Hansen <thansen@debian.org>  Wed, 09 Oct 2013 01:20:17 +0200

bsnes (0.088-7) unstable; urgency=low

  * Make filters non-executable.
    (Closes: #715586, #715589, #715595, #715596, #715601)
  * Use canonical Vcs-* fields (with anonscm.d.o).

 -- Tobias Hansen <thansen@debian.org>  Sun, 14 Jul 2013 11:58:28 +0200

bsnes (0.088-6) unstable; urgency=low

  * Added missing X11 lib to link, fixing FTBFS. (Closes: #713712)
  * Do not assume /usr/games is in $PATH, call the full path of
    the alternatives links /usr/share/bsnes-bin and laevateinn-bin
    from the start scripts. (Closes: #692163)
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Use dh --parallel.

 -- Tobias Hansen <thansen@debian.org>  Sat, 22 Jun 2013 19:45:44 +0200

bsnes (0.088-5) unstable; urgency=low

  * Fix issues with bsnes-purify (Closes: #687034):
    - Fix segmentation fault when run with less than two arguments.
    - Purify also files with uppercase suffix.
  * Add missing epoch to versioned Build-Depends on gcc (Closes: #687197).
  * Remove workaround for g++ bug PR c++/53821, which is now fixed in wheezy.
  * Change my email address in debian/control to the debian.org one.
  * Remove DMUA flag.

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Sep 2012 20:05:41 +0200

bsnes (0.088-4) unstable; urgency=low

  * Add workaround for g++ bug PR c++/53821. (Closes: #684840)

 -- Tobias Hansen <tobias.han@gmx.de>  Tue, 04 Sep 2012 01:54:01 +0200

bsnes (0.088-3) unstable; urgency=low

  * Add bsnes-purify to the bsnes package.
    A command line tool that replaces snespurify and adds:
    - support for ROMs of other systems than SNES
    - creates cartridge folders for ROMs (folders for all data
      belonging to a game - will be mandatory starting from bsnes 0.089)
  * debian/bsnes-purify.6
    - Added. Manual page for bsnes-purify.
  * debian/patches/fix-purify-header-removal-and-input.patch:
    - Added. Header detection was broken and the tool didn't
      accept folder names without trailing slash.
  * debian/changelog:
    - Remove wrong line "Rename snespurify to bsnes-purify."
      from 0.088-1 entry.

 -- Tobias Hansen <tobias.han@gmx.de>  Fri, 11 May 2012 13:15:13 +0200

bsnes (0.088-2) unstable; urgency=low

  * debian/patches/remove-march=native-build-flag.patch:
    - Added. This build flag causes binaries that don't work on all processors
      and is not supported on all architectures.

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 05 May 2012 13:10:27 +0200

bsnes (0.088-1) unstable; urgency=low

  [Gregor Herrmann]
  * Fix "FTBFS: ./ruby/audio/alsa.cpp:4:28: fatal error:
    alsa/asoundlib.h: No such file or directory":
    build-depend on libasound2-dev (linux) (Closes: #669447)

  [Tobias Hansen]
  * New upstream release.
    - Adds Game Boy Advance support.
    - Removes snespurify sources.
    - Compiles with gcc 4.7. (Closes: #667122)
  * snespurify removed from package bsnes.
  * debian/rules:
    - Don't use the install targets of the makefiles anymore.
    - Check DEB_BUILD_OPTIONS for 'testbuild', build only
      bsnes-compatibility when found to allow for fast test builds.
  * Install new system folders to /usr/share/games/bsnes and 
    /usr/share/games/laevateinn.
    - Copy folders and symlink to files in debian/startscript/bsnes.
    - Rename laevateinn binary to laevateinn-bin, create wrapper script
      laevateinn to copy folders and symlink to files also for laevateinn.
    - Create man page for laevateinn-bin. 
  * debian/bsnes.6:
    - Mention Game Boy Advance support.
    - Mention system folders and bios image required for GBA emulation.
    - Add note that files with wrong extensions or copier headers can't be
      opened.
  * debian/patches/misc-makefile-changes.patch:
    - Removed. Installation is now done in debian/bsnes.install
      and debian/rules.
    - Disabling ALSA is now done in
      debian/patches/disable-alsa-on-non-linux.patch.
  * debian/patches/disable-alsa-on-non-linux.patch:
    - Added. This is what is left of
      debian/patches/misc-makefile-changes.patch.
  * debian/patches/build-snespurify-with-newest-g++.patch:
    - Removed. Obsolete since purify uses a makefile now.
  * debian/patches/use-dpkg-buildflags.patch:
    - Changed. Cope with purify using a makefile.
  * debian/patches/detect-endianness.patch
    debian/patches/detect-non-linux-archs.patch
    debian/patches/snespurify-dont-crash-on-bad-zip-files.patch:
    - Changed. Address upstream changes.
  * debian/patches/declare-functions-in-smp-hpp.patch:
    - Removed. FTBFS was fixed upstream.
  * debian/watch: look for .tar.xz file.

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 05 May 2012 11:00:20 +0200

bsnes (0.087-1) unstable; urgency=low

  * New upstream release.
  * Include laevateinn, the bsnes debugger:
    - New package laetvateinn.
    - Create debian/laevateinn.6, debian/laevateinn.desktop,
      debian/laevateinn.menu, debian/laevateinn.xpm,
      and debian/laevateinn.png.
  * debian/bsnes.6:
    - Reference laevateinn(6).
  * Add Suggests: laevateinn to bsnes package.
  * debian/patches/declare-functions-in-smp-hpp.patch:
    - Added. Needed to fix FTBFS of bsnes-performance.
  * debian/patches/use-dpkg-buildflags.patch:
    - Added. Makefiles have to be modified to support CFLAGS.
  * debian/patches/reduce-optimization.patch:
    - Removed. With dpkg-buildflags, the optimization flags


=== debian/control ===
Source: higan
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 9),
               libgtk2.0-dev,
               libsdl1.2-dev,
               libpulse-dev,
               libopenal-dev,
               libao-dev,
               libxv-dev,
               libasound2-dev [linux-any],
               gcc (>= 4:4.6)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-games/higan.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/higan.git
Homepage: http://byuu.org/higan/

Package: higan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Accurate Nintendo multi-system emulator
 higan is an emulator for Nintendos SNES, NES, Gameboy, Gameboy Color
 and Gameboy Advance. It was formerly called bsnes and the SNES
 emulation is especially complete and polished.
 .
 higan strives to provide the most faithful hardware emulation possible.
 It focuses on accuracy and clean code, rather than speed and special
 features. It is meant as a reference emulator to document how the underlying
 hardware works. As a result the minimum system requirements are high.
 .
 There are three profiles that govern the amount of accuracy and required
 system resources of the SNES emulation. Which profile to use can be set with:
 .
 # update-alternatives --config higan

Package: bsnes
Depends: higan, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

# We have to clean manually because the Makefile does not support distclean,
# and does not remove compiled higan binary
override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) --directory=ananke clean
	rm -rf obj out ananke/obj

override_dh_auto_build:
	mkdir -p obj out ananke/obj
	dh_auto_build -- profile=balanced name=higan-balanced
# Allow for building higan only once when testing stuff with the build option testbuild.
ifeq (,$(findstring testbuild,$(DEB_BUILD_OPTIONS)))
	$(MAKE) clean
	dh_auto_build -- profile=accuracy name=higan-accuracy
	$(MAKE) clean
	dh_auto_build -- profile=performance name=higan-performance
else
	cp out/higan-balanced out/higan-accuracy
	cp out/higan-balanced out/higan-performance
endif
	$(MAKE) --directory=ananke

override_dh_auto_install:
	install -D -m 644 data/higan.png debian/higan/usr/share/pixmaps/higan.png
	install -D -m 644 data/higan512.png debian/higan/usr/share/pixmaps/higan512.png
	install -D -m 644 data/higan.desktop debian/higan/usr/share/applications/higan.desktop
	install -D -m 644 data/cheats.bml debian/higan/usr/share/games/higan/cheats.bml
	cp -R profile/* debian/higan/usr/share/games/higan
	chmod 644 debian/higan/usr/share/games/higan/*/*
	mkdir -p debian/higan/usr/share/games/higan/Video\ Shaders
	cp -R shaders/*.shader debian/higan/usr/share/games/higan/Video\ Shaders
	chmod 644 debian/higan/usr/share/games/higan/Video\ Shaders/*/*
	install -D -m 644 ananke/libananke.so debian/higan/usr/lib/games/higan/libananke.so.1

override_dh_link:
	dh_link usr/lib/games/higan/libananke.so.1 usr/lib/games/higan/libananke.so

override_dh_auto_test:
override_dh_makeshlibs:

=== debian/watch ===
version=3
http://byuu.org/higan/release/higan_v([0-9.]+)-source.tar.xz

## higan 094

=== debian/changelog ===
higan (094-6) unstable; urgency=medium

  * Instead of checking for the available OpenGL version,
    try creating an OpenGL 3.2 context and handle possible X errors.
    The previous check would find the OpenGL compatibility profile version
    which can be lower than the core profile version (e.g. when using Mesa)
    leading to false positives. (Closes: #790114)
    - Remove check-opengl-version.patch
    - Add handle-opengl-x-error.patch
  * Remove transitional dummy package bsnes.
  * Add Provides: nes-emulator to d/control (Closes: #777098)
  * Create debian/watch.
  * Bump Standards-Version to 3.9.6.

 -- Tobias Hansen <thansen@debian.org>  Tue, 14 Jul 2015 23:52:16 +0200

higan (094-5) unstable; urgency=medium

  * Use standard gcc instead of gcc-4.8. (Closes: #751314)

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Aug 2014 16:57:25 +0200

higan (094-4) unstable; urgency=medium

  * Add a hack to the postinst script to make higan show up
    in gnome-shell right after the installation. (Closes: #748018)
  * Add another patch by Michael Gold:
    - use-XDG_CONFIG_HOME.patch:
      Store config files in $XDG_CONFIG_HOME if set. (Closes: #738270)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 May 2014 11:22:08 +0200

higan (094-3) unstable; urgency=medium

  * Add patches by Michael Gold:
    - dt_lnk-dt_unknown.patch:
      Handle symlinks/DT_UNKNOWN correctly. (Closes: #737361)
    - fc-heuristic-error.patch:
      Prevent crash when importing unheadered NES ROM. (Closes: #737363)
    - noopt-nostrip.patch:
      Support DEB_BUILD_OPTIONS='noopt nostrip'. (Closes: #737364)
  * Modify patch:
    - load-private-libraries.patch:
      Look for libraries first in LD_LIBRARY_PATH first. (Closes: #737365)

 -- Tobias Hansen <thansen@debian.org>  Mon, 24 Feb 2014 23:50:09 +0100

higan (094-2) unstable; urgency=medium

  * New patch sjlj-declare-xopen-source.patch:
    sjlj.c requires the X/Open 7 standard which caused
    FTBFS on all architectures except amd64, i386 and powerpc.
  * Disable fortify hardening flag when sjlj.c is used, it breaks
    higan (tested with sjlj.c on amd64).
  * Add lintian overrides for debian-watch-file-is-missing and
    hardening-no-fortify-functions.

 -- Tobias Hansen <thansen@debian.org>  Sat, 25 Jan 2014 12:59:26 +0100

higan (094-1) unstable; urgency=medium

  * New upstream release.
  * New dependency libudev on Linux.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Update user guide.
  * Delete patches applied upstream:
    - debian/patches/detect-endianness.patch
    - debian/patches/detect-non-linux-archs.patch
    - debian/patches/disable-alsa-on-non-linux.patch
  * New patches:
    - debian/patches/force-button-images.patch:
      Fixes missing images on buttons.
    - debian/patches/check-opengl-version.patch:
      Handle missing OpenGL 3.2 support gracefully.
      (Closes: #730836)
  * Remove debian/watch because byuu.org/higan is gzip
    compressed unconditionally which uscan does not support.

 -- Tobias Hansen <thansen@debian.org>  Sat, 25 Jan 2014 02:24:18 +0100

higan (093-2) unstable; urgency=low

  * Use g++-4.8 on all architectures (at least g++-4.7 is required).
  * Move from section games to otherosfs, move files accordingly from
    /usr/games to /usr/bin, /usr/share/games to /usr/share.
  * Add preinst scripts to remove old alternatives bsnes-bin and higan.
  * Remove Brandon Barnes from debian/* copyright holders, everything
    was redone multiple times since then. Change license of debian/*
    to GPL-3.

 -- Tobias Hansen <thansen@debian.org>  Wed, 27 Nov 2013 00:28:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: higan
-Section: games
+Section: otherosfs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>
@@ -10,9 +10,9 @@
                libopenal-dev,
                libao-dev,
                libxv-dev,
-               libasound2-dev [linux-any],
-               gcc (>= 4:4.6)
-Standards-Version: 3.9.4
+               libudev-dev [linux-any],
+               libasound2-dev [linux-any]
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/higan.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/higan.git
 Homepage: http://byuu.org/higan/
@@ -20,6 +20,7 @@
 Package: higan
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: nes-emulator
 Description: Accurate Nintendo multi-system emulator
  higan is an emulator for Nintendos SNES, NES, Gameboy, Gameboy Color
  and Gameboy Advance. It was formerly called bsnes and the SNES
@@ -34,10 +35,3 @@
  system resources of the SNES emulation. Which profile to use can be set with:
  .
  # update-alternatives --config higan
-
-Package: bsnes
-Depends: higan, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
+
+ifeq (,$(findstring $(DEB_BUILD_ARCH_CPU),"amd64 i386 powerpc"))
+	export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
+endif
 
 %:
 	dh $@ --parallel
@@ -27,18 +33,17 @@
 
 override_dh_auto_install:
 	install -D -m 644 data/higan.png debian/higan/usr/share/pixmaps/higan.png
-	install -D -m 644 data/higan512.png debian/higan/usr/share/pixmaps/higan512.png
 	install -D -m 644 data/higan.desktop debian/higan/usr/share/applications/higan.desktop
-	install -D -m 644 data/cheats.bml debian/higan/usr/share/games/higan/cheats.bml
-	cp -R profile/* debian/higan/usr/share/games/higan
-	chmod 644 debian/higan/usr/share/games/higan/*/*
-	mkdir -p debian/higan/usr/share/games/higan/Video\ Shaders
-	cp -R shaders/*.shader debian/higan/usr/share/games/higan/Video\ Shaders
-	chmod 644 debian/higan/usr/share/games/higan/Video\ Shaders/*/*
-	install -D -m 644 ananke/libananke.so debian/higan/usr/lib/games/higan/libananke.so.1
+	install -D -m 644 data/cheats.bml debian/higan/usr/share/higan/cheats.bml
+	cp -R profile/* debian/higan/usr/share/higan
+	chmod 644 debian/higan/usr/share/higan/*/*
+	mkdir -p debian/higan/usr/share/higan/Video\ Shaders
+	cp -R shaders/*.shader debian/higan/usr/share/higan/Video\ Shaders
+	chmod 644 debian/higan/usr/share/higan/Video\ Shaders/*/*
+	install -D -m 644 ananke/libananke.so debian/higan/usr/lib/higan/libananke.so.1
 
 override_dh_link:
-	dh_link usr/lib/games/higan/libananke.so.1 usr/lib/games/higan/libananke.so
+	dh_link usr/lib/higan/libananke.so.1 usr/lib/higan/libananke.so
 
 override_dh_auto_test:
 override_dh_makeshlibs:

=== debian/watch ===
version=3
http://byuu.org/emulation/higan/ .*higan_v(\d+)-source\.tar\.xz

## higan 098

=== debian/changelog ===
higan (098-2) unstable; urgency=medium

  * Disable check for the size of long double to
    fix build on armel, armhf, mips and mipsel.
  * New patch to fix build on kfreebsd:
    - disable-alsa-on-non-linux.patch

 -- Tobias Hansen <thansen@debian.org>  Tue, 28 Jun 2016 11:16:28 +0100

higan (098-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (no longer needed):
    - load-private-libraries.patch
    - force-button-images.patch
    - fc-heuristic-error.patch
    - dt_lnk-dt_unknown.patch
    - handle-opengl-x-error.patch
  * Change patches:
    - noopt-nostrip.patch to noopt.patch:
      Binaries are no longer stripped by default.
  * Refresh/update patches:
    - nall-makefile-fixes.patch
    - makefile-fixes.patch
    - desktop-file.patch
    - sjlj-declare-xopen-source.patch
    - use-XDG_CONFIG_HOME.patch
  * New patches:
    - use_sharedpath.patch
    - ignore_manifests_by_default.patch
    - create_config.patch
    - include_cmath.patch
  * Fix .desktop file syntax. (Closes: #812482)
  * Update homepage URL. (Closes: #808788)
  * Bump Standards-Version.
  * Remove menu file.
  * Remove lintian override for menu-command-not-in-package.
  * Update debian/watch.
  * Use https vcs urls.
  * Update debian/copyright with new file locations.
  * Update user guide.
  * Write man page for icarus.

 -- Tobias Hansen <thansen@debian.org>  Sun, 26 Jun 2016 12:56:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>
 Build-Depends: debhelper (>= 9),
+               pkg-config,
                libgtk2.0-dev,
+               libgtksourceview2.0-dev,
                libsdl1.2-dev,
                libpulse-dev,
                libopenal-dev,
@@ -12,10 +14,10 @@
                libxv-dev,
                libudev-dev [linux-any],
                libasound2-dev [linux-any]
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-games/higan.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/higan.git
-Homepage: http://byuu.org/higan/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/higan.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-games/higan.git
+Homepage: http://byuu.org/emulation/higan/
 
 Package: higan
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifeq (,$(findstring $(DEB_BUILD_ARCH_CPU),"amd64 i386 powerpc"))
	export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
endif

%:
	dh $@ --parallel --sourcedirectory=higan

override_dh_auto_clean:
	$(MAKE) --directory=icarus clean
	dh_auto_clean

override_dh_auto_build:
	mkdir -p icarus/obj icarus/out
	$(MAKE) --directory=icarus
	mkdir -p higan/obj higan/out
	dh_auto_build -- profile=balanced name=higan-balanced
# Allow for building higan only once when testing stuff with the build option testbuild.
ifeq (,$(findstring testbuild,$(DEB_BUILD_OPTIONS)))
	rm -rf higan/obj
	mkdir -p higan/obj
	dh_auto_build -- profile=accuracy name=higan-accuracy
	rm -rf higan/obj
	mkdir -p higan/obj
	dh_auto_build -- profile=performance name=higan-performance
else
	cp higan/out/higan-balanced higan/out/higan-accuracy
	cp higan/out/higan-balanced higan/out/higan-performance
endif

override_dh_auto_install:
	install -D -m 644 higan/data/higan.png debian/higan/usr/share/pixmaps/higan.png
	install -D -m 644 higan/data/higan.desktop debian/higan/usr/share/applications/higan.desktop
	install -D -m 644 higan/data/cheats.bml debian/higan/usr/share/higan/cheats.bml
	cp -R higan/profile/* debian/higan/usr/share/higan
	chmod 644 debian/higan/usr/share/higan/*/*

override_dh_auto_test:

## higan 103

=== debian/changelog ===
higan (103-2) unstable; urgency=medium

  * Apply sjlj-ftbfs.patch from Adrian Bunk (Closes: 869385)
    (Include settings.h for thread_local.)

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Jul 2017 21:46:27 +0100

higan (103-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 22 Jul 2017 13:36:18 +0100

higan (102-1) experimental; urgency=medium

  * New upstream release. (Closes: #837553)
  * Higan no longer has profiles (accuracy, balanced, performance).
    New versions of higan use what used to be the accuracy profile.
    Consequently the update-alternatives mechanism to choose a profile
    was removed from the package.
  * Switch to dh compat level 10.
  * Use install target of upstream makefile.
  * Remove disable_long_double_size_check.patch (applied upstream).
  * Disable udev on kfreebsd. (Closes: #834061)

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Feb 2017 21:23:07 +0000

=== debian/control ===
Source: higan
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 10),
               pkg-config,
               libgtk2.0-dev,
               libgtksourceview2.0-dev,
               libsdl1.2-dev,
               libpulse-dev,
               libopenal-dev,
               libao-dev,
               libxv-dev,
               libudev-dev [linux-any],
               libasound2-dev [linux-any]
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-games/higan.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/higan.git
Homepage: http://byuu.org/emulation/higan/

Package: higan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: nes-emulator
Description: Accurate multi-system emulator
 higan is an emulator for systems from Nintendo (SNES, NES, Gameboy, Gameboy Color,
 Gameboy Advance), Sega (Master System, Game Gear), NEC (PC Engine, SuperGrafx) and
 Bandai (WonderSwan, WonderSwan Color). It was formerly called bsnes and the SNES
 emulation is especially complete and polished.
 .
 higan strives to provide the most faithful hardware emulation possible.
 It focuses on accuracy and clean code, rather than speed and special
 features. It is meant as a reference emulator to document how the underlying
 hardware works. As a result the minimum system requirements are high.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifeq (,$(findstring $(DEB_BUILD_ARCH_CPU),"amd64 i386 powerpc"))
	export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
endif

%:
	dh $@ --sourcedirectory=higan

override_dh_auto_clean:
	$(MAKE) --directory=icarus clean
	dh_auto_clean

override_dh_auto_build:
	mkdir -p icarus/obj icarus/out
	$(MAKE) --directory=icarus
	mkdir -p higan/obj higan/out
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- prefix=../debian/tmp/usr

override_dh_auto_test:

## higan 106

=== debian/changelog ===
higan (106-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:45 +0100

higan (106-2) unstable; urgency=medium

  * Build hiro without SourceEdit to avoid dependence on
    libgtksourceview2.0-dev. (Closes: #885687)

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 16:09:44 +0100

higan (106-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Hansen <thansen@debian.org>  Mon, 20 Nov 2017 20:34:12 +0100

higan (105-1) unstable; urgency=medium

  * New upstream release (Closes: #791636).
  * Remove noopt.patch, makefile now allows build without optimization
    by setting build=debug.

 -- Tobias Hansen <thansen@debian.org>  Mon, 09 Oct 2017 23:28:22 +0100

higan (104-1) unstable; urgency=medium

  * New upstream release.
  * Remove sjlj-ftbfs.patch (applied upstream).
  * Remove old user guide since there is now an official user guide
    provided online and linked from the Help menu.
  * Bump Standards-Version to 4.1.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Sep 2017 19:33:51 +0100

=== debian/control ===
Source: higan
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 10),
               pkg-config,
               libgtk2.0-dev,
               libsdl1.2-dev,
               libpulse-dev,
               libopenal-dev,
               libao-dev,
               libxv-dev,
               libudev-dev [linux-any],
               libasound2-dev [linux-any]
Standards-Version: 4.1.2
Vcs-Git: https://anonscm.debian.org/git/pkg-games/higan.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/higan.git
Homepage: http://byuu.org/emulation/higan/

Package: higan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: nes-emulator
Description: Accurate multi-system emulator
 higan is an emulator for systems from Nintendo (SNES, NES, Gameboy,
 Gameboy Color, Gameboy Advance), Sega (Master System, Game Gear),
 NEC (PC Engine, SuperGrafx) and Bandai (WonderSwan, WonderSwan Color).
 It was formerly called bsnes and the SNES emulation is especially
 complete and polished.
 .
 higan strives to provide the most faithful hardware emulation possible.
 It focuses on accuracy and clean code, rather than speed and special
 features. It is meant as a reference emulator to document how the underlying
 hardware works. As a result the minimum system requirements are high.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,12 @@
 
 ifeq (,$(findstring $(DEB_BUILD_ARCH_CPU),"amd64 i386 powerpc"))
 	export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
+endif
+
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    BUILDOPT=build=optimize
+else
+    BUILDOPT=build=debug
 endif
 
 %:
@@ -15,9 +21,9 @@
 
 override_dh_auto_build:
 	mkdir -p icarus/obj icarus/out
-	$(MAKE) --directory=icarus
+	$(MAKE) --directory=icarus $(BUILDOPT)
 	mkdir -p higan/obj higan/out
-	dh_auto_build
+	dh_auto_build -- $(BUILDOPT)
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=../debian/tmp/usr
